/***************************************
* calcul de u(n), le (n+1) terme de la suite
*
* entrée :
*   - n : indice du terme de la suite
*
* sortie :
*   - valeur de u(n)
****************************************/
float suiteU(int n) {
  // terme initial u(0)
  float u = 6;
  
  for(int i = 0; i < n; i++)
    u = 1.1 * u + 3;
    
  return u;
}

/***************************************
* Calcul l'indice du premier terme 
* plus grand qu'un nombre donné
*
* entrée :
*   - borne : nombre à dépasser
*
* sortie :
*   - indice n tel que u(n) >= borne 
****************************************/
int premierIndice(float borne) {
  float u = 6;
  int n = 0;
  
  while (u < borne) {
    u = 1.1 * u + 3;
    n++;
  }
    
  return n;
}

void setup() {
  println(suiteU(0));
  println(suiteU(1));
  println(suiteU(3));
  println(suiteU(50));

  println(premierIndice(3));
  println(premierIndice(9));
  println(premierIndice(100));
}
