/*******************************************
*  dessine un cercle
*
*  entree :
*    - x, y    : coordonnées du centre du cercle
*    - r       : rayon du cercle
*    - couleur : couleur du cercle (true: rouge, false: bleu)
*
*  sortie :
*    - aucune
*******************************************/
void cercle(float x, float y, float r, boolean couleur) {
  if (couleur)
    fill(255, 0, 0);  // rouge
  else
    fill(0, 0, 255);  // bleu
  ellipse(x, y, 2 * r, 2 * r); 
}

/*******************************************
*  Dessine n cercles concentriques
*
*  entree :
*    - n    : nombre de cercles
*    - x, y : coordonnées du coin supérieur gauche
*    - dr   : difference de rayon entre les cercles
*
*  sortie :
*    - aucune
*******************************************/
void cible(int n, float x, float y, float dr) {
  boolean couleur = true;
  float rayon = n * dr;
  
  for(int i = 0; i < n; i++) {
    cercle(x, y, rayon, couleur);
    rayon = rayon - dr;
    couleur = !couleur;
  }
}

void setup() {
  size(300, 300); // taille de l'écran
  background(255);  // fond blanc
  
  cible(6, width / 2, height / 2, 20);
}

